<semantic-table
  id='table-codices'
  query='SELECT DISTINCT ?subject ?identifier ?collection ?repository ?ismi_id ?digitization
  WHERE {
    ?subject a ismi:Codex;
      rdfs:label ?label;
      crm:P1_is_identified_by ?id;
      crm:P46i_forms_part_of ?collection.
    ?id crm:P2_has_type ismiidtype:preferred-identifier;
      rdfs:label ?identifier.
    ?collection rdfs:label ?coll_label; 
      crm:P49_has_former_or_current_keeper ?repository.
    OPTIONAL {
      ?subject crm:P1_is_identified_by ?iid.
      ?iid crm:P2_has_type ismiidtype:ismi-id;
       rdfs:label ?ismi_id.
    }
  } ORDER BY lcase(?coll_label) xsd:integer(?identifier)'
  number-of-displayed-rows=100
  column-configuration='[
  [[#if copyId]] 
    { 
      "displayName": "Select",
      "cellTemplate": "<mp-copy-to-clipboard text=\"{{ismi_id.value}}\"><button class=\"btn btn-sm btn-primary\">Copy ID</button></mp-copy-to-clipboard>"
    },
    {"variableName": "ismi_id", "displayName": "ID"},
  [[/if]]
    { "variableName": "subject", "displayName": "Codex" },
    { "variableName": "collection", "displayName": "Collection" },
    { "variableName": "identifier", "displayName": "Identifier" },
    { "variableName": "repository", "displayName": "Repository" }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
